Status icon should open popup menu on button-press, not button-release

January 25, 2012 05:29 - anonymous password

Status: Closed Start date: January 25, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/statusicon Estimated time: 0.00 hour

Target version: 3.2.1   

Affects version: 3.2   

Description

The standard for opening popup menus with the mouse in GTK applications is to use the button-press event as the trigger rather

than the button-release event. This behavior can be found in other GTK programs with status icons as well as the rest of audacious.

This also allows for the right mouse button to be held and dragged to the desired option, and then released to select it, allowing for

very smooth workflows for users with much familiarity. The status icon plugin should probably follow this convention.

To the extent of my knowledge this behavior is longstanding and is an oversight rather than a regression so I'm not sure which

version should be marked.

History

#1 - January 29, 2012 08:13 - Jean-Alexandre Anglès d'Auriac

It should be pretty easy to change. Just replacing "button-release-event" by "button-press-event" in statusicon.c, line 323.

#2 - February 06, 2012 03:53 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

- Target version set to 3.2.1

- Affects version  added

- Affects version deleted ()

https://github.com/audacious-media-player/audacious-plugins/commit/208a2298f0648e2999eef46baca35e7ec20b9395
